SystemOrganization addCategory: #'OCMSTest-DAO'!

TestCase subclass: #AuthorDAOTest
	instanceVariableNames: 'authorDao'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OCMSTest-DAO'!

!AuthorDAOTest methodsFor: 'initialize-release' stamp: 'has 5/3/2013 20:38'!
setUp
	authorDao := AuthorDAO new.! !

!AuthorDAOTest methodsFor: 'testing' stamp: 'has 5/4/2013 11:40'!
testAsIncludeAnAuthor

	| authorCollection |

	"authorDao includeAnAuthor: 'Herman Hesse'."
	authorCollection := authorDao searchAuthor: 'H'.
	self assert: (authorCollection at: 1) = 'Herman Hesse'! !

!AuthorDAOTest methodsFor: 'testing' stamp: 'has 5/4/2013 11:40'!
testAsSearchAuthor

	| authorCollection |

	authorCollection := authorDao searchAuthor: 'H'.
	self assert: (authorCollection at: 1) = 'Herman Hesse'! !

TestCase subclass: #OCMSConnectionTest
	instanceVariableNames: 'resultSet connection'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OCMSTest-DAO'!

!OCMSConnectionTest methodsFor: 'initialize-release' stamp: 'has 5/3/2013 19:40'!
setUp

	connection := OCMSConnection.
	connection open.! !

!OCMSConnectionTest methodsFor: 'initialize-release' stamp: 'has 5/3/2013 19:40'!
tearDown

	connection close.! !

!OCMSConnectionTest methodsFor: 'testing' stamp: 'has 5/3/2013 19:26'!
testAsConnectionClosedTwice
	connection close.
	connection close.
	self assert: connection isOpened = false.! !

!OCMSConnectionTest methodsFor: 'testing' stamp: 'has 5/3/2013 17:50'!
testAsConnectionInformation

	self assert: connection userDao = 'root'.
	self assert: connection hostDao = 'localhost'.
	self assert: connection databaseDao = 'coursewaredb'.! !

!OCMSConnectionTest methodsFor: 'testing' stamp: 'has 5/3/2013 19:27'!
testAsConnectionIsOpened
	connection close.
	connection open.
	self assert: connection isOpened = true.! !

!OCMSConnectionTest methodsFor: 'testing' stamp: 'has 5/3/2013 17:56'!
testAsConnectionOpen

	self assert: (connection statement isMemberOf: JdmStatement) = true.! !

!OCMSConnectionTest methodsFor: 'testing' stamp: 'has 5/3/2013 19:42'!
testAsConnectionOpenQueryCourseware
	
	self assert: ((connection query: 'select * from Courseware') isMemberOf: JdmResultSet) = true.! !
